﻿# HeidiSQL Dump 
#
# --------------------------------------------------------
# Host:                         127.0.0.1
# Database:                     garden2
# Server version:               5.1.39-community
# Server OS:                    Win32
# Target compatibility:         ANSI SQL
# HeidiSQL version:             4.0
# Date/time:                    2009-11-14 15:57:31
# --------------------------------------------------------

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ANSI,NO_BACKSLASH_ESCAPES';*/
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;*/


#
# Database structure for database 'garden2'
#

CREATE DATABASE /*!32312 IF NOT EXISTS*/ "garden2" /*!40100 DEFAULT CHARACTER SET utf8 */;

USE "garden2";


#
# Table structure for table 'readings'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "readings" (
  "Id" bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  "dtime" timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  "light" int(10) DEFAULT NULL,
  "temp1" double DEFAULT NULL,
  "temp2" double DEFAULT NULL,
  "temp3" double DEFAULT NULL,
  "m1" int(10) DEFAULT NULL,
  "m2" int(10) DEFAULT NULL,
  PRIMARY KEY ("Id"),
  UNIQUE KEY "Id" ("Id"),
  KEY "Id_2" ("Id")
);



#
# Table structure for table 'settings'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "settings" (
  "LOnH" tinyint(2) unsigned NOT NULL,
  "LOnM" tinyint(2) unsigned NOT NULL,
  "LOffH" tinyint(2) unsigned NOT NULL,
  "LOffM" tinyint(2) unsigned NOT NULL
);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE;*/
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;*/
